Package org.apache.torque.generator.source

## Class SourceElementAttributeIterator

- java.lang.Object
- - org.apache.torque.generator.source.SourceElementAttributeIterator

- All Implemented Interfaces:
    `org.apache.commons.jxpath.ri.model.NodeIterator`

      public class SourceElementAttributeIterator
      extends Object
      implements org.apache.commons.jxpath.ri.model.NodeIterator

  A node iterator iterating over attributes of a SourceElement.
  Version:
    $Id: $
  Author:
    Dmitri Plotnikov, Thomas Fox

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourceElementAttributeIterator​(org.apache.commons.jxpath.ri.model.NodePointer parent, org.apache.commons.jxpath.ri.QName qName)` | Create a new SourceElementAttributeIterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.commons.jxpath.ri.model.NodePointer` | `getNodePointer()` |
    `int` | `getPosition()` |
    `boolean` | `setPosition​(int position)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceElementAttributeIterator

          public SourceElementAttributeIterator​(org.apache.commons.jxpath.ri.model.NodePointer parent,
                                                org.apache.commons.jxpath.ri.QName qName)

      Create a new SourceElementAttributeIterator.
      Parameters:
        `parent` - the parent pointer
        `qName` - the name to test

  - ### Method Detail

    - #### getNodePointer

          public org.apache.commons.jxpath.ri.model.NodePointer getNodePointer()

      Specified by:
        `getNodePointer` in interface `org.apache.commons.jxpath.ri.model.NodeIterator`

    - #### getPosition

          public int getPosition()

      Specified by:
        `getPosition` in interface `org.apache.commons.jxpath.ri.model.NodeIterator`

    - #### setPosition

          public boolean setPosition​(int position)

      Specified by:
        `setPosition` in interface `org.apache.commons.jxpath.ri.model.NodeIterator`